Page MenuHomePhabricator

Implement ExtendedPropertyValueSnak
Closed, ResolvedPublic1 Story Points

Description

ExtendedPropertyValueSnak is a derived data variant of PropertyValueSnak. It's a subclass of PropertyValueSnak, which contains a map of additional DataValue objects, each associated with a "role" or "slot" name. Examples:

  • a ExtendedPropertyValueSnak for a TimeValue may contain a TimeValue using the Gregorian calendar in the "normalized" (or "iso"?) lot.
  • a ExtendedPropertyValueSnak for an external ID may contain a StringValue (or IRIValue) for the external entity's full URI in the "expanded" or "uri" slot. In addition, it may contain a StringValue (or IRIValue) for the external entity's web page URL in the "url" or "link" slot.
  • a ExtendedPropertyValueSnak for a QuantityValue may contain anothjer QuantityValue with the quantity converted to a base unit in the "normalized" slot.

PS: "Extended" is not a nice name, come up with something better.

Event Timeline

daniel created this task.Jun 17 2015, 12:51 PM
daniel raised the priority of this task from to Normal.
daniel updated the task description. (Show Details)
daniel moved this task from incoming to ready to go on the Wikidata board.Jun 17 2015, 4:03 PM
Tobi_WMDE_SW set Security to None.Jun 18 2015, 8:38 AM
Tobi_WMDE_SW edited a custom field.
Addshore moved this task from Backlog to Review on the Wikidata-Sprint-2015-06-16 board.
Bene added a subscriber: Bene.Jun 25 2015, 4:11 PM

What about SlottedPropertyValueSnak? Perhaps not the best but extended can basically be anything.

SlottyPropertyValueSnak?PropertyValueSnakWithExtraDerivedValuesAttached?...

Addshore closed this task as Resolved.Jul 13 2015, 9:50 AM
Addshore moved this task from Doing to Done on the Wikidata-Sprint-2015-06-30 board.